Get Jobs
Retrieve a list of jobs with optional filtering and pagination.
Notes:
pageis required (positive integer >= 1).per_pageis optional (integer from 1 to 50, default: 20).statusis optional. Accepts a single status ID or comma-separated status IDs (e.g.,1or1,2). Refer to the Statuses section for code mappings.timestamp_fromandtimestamp_toare optional epoch timestamps in seconds.branch_id,team_id, andrider_idaccept string identifiers (comma-separated values are supported where applicable).typefilters by job type (pickup_deliveryorappointment).delivery_typefilters by fulfillment type (1for Scheduled,2for On-Demand,3for Click & Collect,4for Appointment).payment_typefilters by delivery payment type (1for prepaid,2for cash).
Parameters
page
integer
RequiredQuery parameter. Page number for pagination (must be >= 1).
per_page
integer
Query parameter. Number of records per page (1 to 50, default: 20).
status
string
Query parameter. Filter jobs by status. Single ID or comma-separated IDs (e.g., '1' or '1,2').
branch_id
string
Query parameter. Filter jobs by branch ID.
team_id
string
Query parameter. Filter jobs by team ID (supports comma-separated IDs).
timestamp_from
integer
Query parameter. Filter jobs from this start timestamp in epoch seconds.
timestamp_to
integer
Query parameter. Filter jobs up to this end timestamp in epoch seconds.
rider_id
string
Query parameter. Filter jobs by rider ID (supports comma-separated IDs).
type
string
Query parameter. Filter by job type ('pickup_delivery' or 'appointment').
delivery_type
integer
Query parameter. Filter jobs by delivery type: 1 (Scheduled), 2 (On-Demand), 3 (Click & Collect), 4 (Appointment).
payment_type
integer
Query parameter. Filter by delivery payment type: 1 (prepaid), 2 (cash).
id
string
Query parameter. Filter by job ID.
GET/v1/jobs
🇪🇺 EUbash
curl https://eu.api.lynxo.ai/v1/jobs \
-H "Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR....." \
-H "Content-Type: application/json" \
-d '{"page":1,"per_page":20,"status":"1,2","branch_id":"MAA","team_id":"23","timestamp_from":1754245800,"timestamp_to":1754332199}'RESPONSE
{
"jobs": [
{
"id": 5360530,
"order_id": "887121212",
"type": "pickup_delivery",
"status": 2,
"notes": "Handle with care",
"created_at": 1754286355,
"updated_at": 1754674140,
"rider": {
"id": 2784742,
"reference_id": "RR2784742",
"name": "Shaik Zaheeruddin",
"username": "szaheeruddin1",
"dial_code": "",
"mobile": "",
"email": "yixog17429@blaxion.com",
"type": "rider",
"status": 1,
"profile_pic": "",
"email_verified": false,
"phone_verified": false,
"metadata": {},
"last_coordinates": {
"longitude": null,
"latitude": null
},
"created_at": 1754670940,
"updated_at": 1754672575
},
"pickups": [
{
"id": 29,
"status": 1,
"pickup_slot_from": 1754332920,
"pickup_slot_to": 1754376120,
"created_at": 1754286355,
"updated_at": 1754286355,
"address": null,
"customer": null,
"branch": {
"id": "MAAA",
"name": "Chennai",
"time_zone": "",
"contacts": [
{
"name": "Ul",
"phone": "723482932",
"work_timings": {
"from": "09:00 AM",
"to": "05:00 PM"
},
"work_days": [
"monday",
"tuesday",
"wednesday",
"thursday",
"friday"
]
}
],
"formatted_address": "Neelakanta Mehta Street, Parthasarathy Puram, 600017, T Nagar, Chennai, Chennai, Tamil Nadu, India",
"active": true,
"delivery_zones": null,
"coordinates": {
"longitude": 80.240281,
"latitude": 13.037106
},
"created_at": 1752077103,
"updated_at": 1754380833,
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best"
},
"updated_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
}
},
"next_status": [
2,
5,
6
],
"in_progress": false,
"completed": false,
"packages": [
{
"package_id": "PKG001",
"barcode": "BR001"
}
],
"status_history": []
}
],
"deliveries": [
{
"id": 27,
"status": 1,
"first_order": false,
"enable_otp": false,
"otp": "",
"note": "",
"unattended_delivery": false,
"leave_at_door": false,
"dont_ring_bell": false,
"age_restricted_delivery": false,
"signature_required": false,
"signature_image": "",
"proof_of_delivery_images": [],
"payment_type": 2,
"amount": 100,
"tracking_id": "42-3030-ZJZ",
"delivery_slot_from": 1754419440,
"delivery_slot_to": 1754419440,
"created_at": 1754286355,
"updated_at": 1754286355,
"address": null,
"customer": null,
"branch": {
"id": "MAAA",
"name": "Chennai",
"time_zone": "",
"contacts": [
{
"name": "Ul",
"phone": "723482932",
"work_timings": {
"from": "09:00 AM",
"to": "05:00 PM"
},
"work_days": [
"monday",
"tuesday",
"wednesday",
"thursday",
"friday"
]
}
],
"formatted_address": "Neelakanta Mehta Street, Parthasarathy Puram, 600017, T Nagar, Chennai, Chennai, Tamil Nadu, India",
"active": true,
"delivery_zones": null,
"coordinates": {
"longitude": 80.240281,
"latitude": 13.037106
},
"created_at": 1752077103,
"updated_at": 1754380833,
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best"
},
"updated_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
}
},
"next_status": [
2,
5,
6
],
"in_progress": false,
"completed": false,
"packages": [
{
"package_id": "PKG001",
"barcode": "BR001"
}
],
"status_history": []
}
],
"status_history": [
{
"status": 1,
"remarks": "",
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"created_at": 1754286355
},
{
"status": 2,
"remarks": "",
"created_by": {
"user_type": "iam",
"user_id": "42",
"user_name": "Best Account"
},
"created_at": 1754674140
}
],
"next_status": [
3,
5,
7
]
}
],
"total_records": 1,
"page": 1,
"total_pages": 1
}